Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:      	guile C wrapper library
Name:      	g-wrap
Version:        1.9.11
Release:   	1
BuildArch:	i686
License: 	GNU/GPL
URL:	  	http://www.nongnu.org/g-wrap/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0:          g-wrap-1.9.6-shaddup.patch
Patch1:		 g-wrap-1.9.11-libffi.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
PreReq:         /sbin/install-info
BuildRequires:  glibc-devel
BuildRequires:	openssl-devel
BuildRequires:  glib-devel
BuildRequires:  gmp-devel
BuildRequires:  guile-devel
BuildRequires:  libtool-devel libffi-devel

%description
G-Wrap is a tool (and Guile library) for generating function wrappers for inter-language calls. It currently only supports generating Guile wrappers for C functions.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %{_infodir}/g-wrap.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/g-wrap.info.gz %{_infodir}/dir
fi


%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .shaddup
# https://savannah.nongnu.org/bugs/index.php?25187
%patch1 -p1 -b .libffi


%build
./configure --prefix=%_prefix --mandir=%_mandir --sysconfdir=%_sysconfdir --infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_datadir/info/dir

#Remove unneeded file
rm -f %{buildroot}%{_datadir}/info/dir
mv  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm ./config.old
cat config.old > config.scm
install -p -m 644 config.scm  %{buildroot}%{_datadir}/guile/site/g-wrap/config.scm


%files
%defattr(-,root,root)
%_bindir
%_infodir
%_datadir/guile
%_libdir/*.so*
%_libdir/g-wrap/modules/

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/g-wrap/modules/*.a
%_libdir/g-wrap/modules/*.la
%_datadir/aclocal/g-wrap.m4
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.11-1
- Version update
- use system libffi
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.7-2
- rebuild against latest libtool
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9.7-1
- Version update
* Sat Aug 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.9.6-1
- Initial Release
